%define major 0
%define libname %mklibname %{name} %major
%define libname_devel %mklibname -d %{name}

Name:               emerald
Version:            0.8.12.4
Release:            %mkrel 1
Summary:            Window Decorator for Compiz
Group:              System/X11
License:            GPLv2+
URL:                https://github.com/compiz-reloaded/%{name}
Source0:            https://github.com/compiz-reloaded/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:      pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:      pkgconfig(libwnck-3.0) >= 3.0.0
BuildRequires:      pkgconfig(compiz) >= 0.9.0
BuildRequires:      desktop-file-utils
BuildRequires:      gettext-devel
BuildRequires:      pkgconfig(uuid)
BuildRequires:      pkgconfig(libdecoration)
BuildRequires:      pkgconfig(xrender) >= 0.8.4
BuildRequires:      pkgconfig(cairo) >= 1.4
BuildRequires:      pkgconfig(pangocairo)
BuildRequires:      intltool

Requires(post):     desktop-file-utils
Requires(postun):   desktop-file-utils
Requires:           compiz >= 0.9.0
Provides:           compiz-decorator

Recommends:         %{name}-themes

%description
Themeable window decorator for the Compiz window manager/compositor.

#----------------------------------------------------------------------------

%package -n %libname
Summary:   Library files for %{name}
Group:     System/X11
Requires:  %{name} = %{version}-%{release}
Provides:  %{libname} = %{version}

%description -n %{libname}
Emerald Window Decorator for Compiz.

This package contains library files for %{name}

#----------------------------------------------------------------------------

%package -n %libname_devel
Group:     Development/C
Summary:   Devel package for %{name}

Requires:  %{name} = %{version}-%{release}
Requires:  %{libname} = %{version}-%{release}
Provides:  %{name}-devel = %{version}

%description -n %libname_devel
Emerald - Window Decorator for Compiz.

This package contains static libraries and header files needed for development.

#----------------------------------------------------------------------------

%prep
%autosetup -n %{name}-%{version}


%build
%configure2_5x --disable-mime-update \
    --with-gtk=3.0  \
    --enable-decor09

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build

%install
%make_install

desktop-file-install \
  --vendor="" \
  --add-category="GTK" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_datadir}/mimelnk/application
cat >%{buildroot}%{_datadir}/mimelnk/application/x-%{name}-theme.desktop <<EOF
[Desktop Entry]
Type=MimeType
Comment=%{name} Theme
MimeType=application/x-%{name}-theme
Patterns=*.%{name}
EOF

rm -rf %{buildroot}%{_libdir}/*.*a
rm -rf %{buildroot}%{_libdir}/%{name}/engines/*.*a

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-theme-manager.desktop

#----------------------------------------------------------------------------

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}-theme-manager.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/theme
%{_datadir}/%{name}/theme/*
%{_datadir}/%{name}/settings.ini
%{_datadir}/mime-info/%{name}.mime
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/apps/*.svg
%{_datadir}/mimelnk/application/x-%{name}-theme.desktop
%{_mandir}/man1/*.1.*

%files -n %libname
%{_libdir}/%{name}/engines/*.so
%{_libdir}/libemeraldengine.so.%{major}{,.*}

%files -n %libname_devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/libemeraldengine.so
%{_libdir}/pkgconfig/emeraldengine.pc


%changelog
* Mon Feb 06 2017 tarakbumba <tarakbumba> 0.8.12.4-1.mga6
+ Revision: 1084890
- Re-introduce package with actively developed version

  + tv <tv>
    - s/uggests:/Recommends:/

  + julien <julien>
    - update to 0.9.5
    - add patch to compiel with -Wformat-security
    - clean specfile (BR, old obsolete)

  + gil <gil>
    - update to 0.8.8

  + colin <colin>
    - imported package emerald

